{% assign productIds = "" | split: ',' %}
					 {% assign productId = product.id | strip %}
					 {% if productIds contains productId %}
						<div class="countdown">
							<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Lobster" />
							{{ 'dailydeal-jquery.min.js' | asset_url | script_tag }}
							{{ 'dailydeal-circle-countdown-plugins.js' | asset_url | script_tag }}
							{{ 'dailydeal-circle-countdown.js' | asset_url | script_tag }}
							{{ 'dailydeal-circle-countdown.css' | asset_url | stylesheet_tag }}
							{{ 'dailydeal-special-css.css' | asset_url | stylesheet_tag }}
							<style>
								.countdown_timer li { color: #333333 !important; }
								.countdown .title-big { color: #F04D3B !important; }
							</style>
							<span class="title-big" style="font-family:'Lobster'">A Promoção dura mais:</span>
							<div id="countdown-circle-{{ product.id }}-timer" class="countdown_timer"></div>                     
							<div id="countdown-circle-{{ product.id }}" class="countdown_clock">
								<canvas class="circular_countdown_element" id="circular_countdown_days-circle-{{ product.id }}" width="60" height="60"></canvas>
								<canvas class="circular_countdown_element" id="circular_countdown_hours-circle-{{ product.id }}" width="60" height="60"></canvas>
								<canvas class="circular_countdown_element" id="circular_countdown_minutes-circle-{{ product.id }}" width="60" height="60"></canvas>
								<canvas class="circular_countdown_element last" id="circular_countdown_seconds-circle-{{ product.id }}" width="60" height="60"></canvas>
							</div>
							<script type="text/javascript">
								var productsDateTimeTo = {};

								var gmt = -03;
							    var aDate = new Date();
							    var utc = aDate.getTime() + (aDate.getTimezoneOffset() * 60000);
							    var newdate = new Date(utc + (3600000*gmt));
							    var monthNames = new Array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
								var hours = newdate.getHours().toString();
								if (hours.length==1) {
									hours = '0'+hours;
								}
								var minutes = newdate.getMinutes().toString();
								if (minutes.length==1) {
									minutes = '0'+minutes;
								}
								var seconds = newdate.getSeconds().toString();
								if (seconds.length==1) {
									seconds = '0'+seconds;
								}

								var currentDate = monthNames[newdate.getMonth()]+' '+newdate.getDate()+', '+newdate.getFullYear()+' '+hours+':'+minutes+':'+seconds;
									
								// if (typeof productsDateTimeTo[{{ product.id }}] !== "undefined") {
									jQueryDD(document).ready(function($){
										var countdownId = "";
					                    var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
					                    for( var i=0; i < 5; i++ ) countdownId += possible.charAt(Math.floor(Math.random() * possible.length));

					                    jQueryDD('#countdown-circle-{{ product.id }}-timer').attr({'id':'countdown-circle-{{ product.id }}-'+countdownId+'-timer'});
					                    jQueryDD('#countdown-circle-{{ product.id }}').attr({'id':'countdown-circle-{{ product.id }}-'+countdownId});
					                    jQueryDD('#circular_countdown_days-circle-{{ product.id }}').attr({'id':'circular_countdown_days-circle-{{ product.id }}-'+countdownId});
					                    jQueryDD('#circular_countdown_hours-circle-{{ product.id }}').attr({'id':'circular_countdown_hours-circle-{{ product.id }}-'+countdownId});
					                    jQueryDD('#circular_countdown_minutes-circle-{{ product.id }}').attr({'id':'circular_countdown_minutes-circle-{{ product.id }}-'+countdownId});
					                    jQueryDD('#circular_countdown_seconds-circle-{{ product.id }}').attr({'id':'circular_countdown_seconds-circle-{{ product.id }}-'+countdownId});

										var dateTimeTo = false;
										jQueryDD.each(productsDateTimeTo, function(time, product_ids) {
											var productIds = product_ids.split(',');
											if (jQueryDD.inArray("{{ product.id }}", productIds) !== -1) {
												dateTimeTo = time;
											}
										});
										if (dateTimeTo === false) {
					                        jQueryDD('#countdown-circle-{{ product.id }}-'+countdownId).parent().remove();
					                    }

										jQueryDD('#countdown-circle-{{ product.id }}-'+countdownId).circularCountdown({
											strokeDaysBackgroundColor:'rgba(229, 233, 233,1)',
											strokeDaysColor:'rgba(192, 202, 202,1)',
											strokeHoursBackgroundColor:'rgba(229, 233, 233,1)',
											strokeHoursColor:'rgba(192, 202, 202,1)',
											strokeMinutesBackgroundColor:'rgba(229, 233, 233,1)',
											strokeMinutesColor:'rgba(192, 202, 202,1)',
											strokeSecondsBackgroundColor:'rgba(229, 233, 233,1)',
											strokeSecondsColor:'rgba(192, 202, 202,1)',
											strokeWidth:6,
											strokeBackgroundWidth:6,
											countdownEasing:'easeOutBounce',
											countdownTickSpeed:'slow',
											currentDateTime: currentDate,
											until: new Date(dateTimeTo),
											layout: '<ul>{d<}<li class="days"><em>{dn}</em> DAYS</li>{d>}{h<}<li class="hours"><em>{hn}</em> HOURS</li>{h>}{m<}<li class="minutes"><em>{mn}</em> MINUTES</li>{m>}{s<}<li class="seconds"><em>{sn}</em> SECONDS</li>{s>}</ul>',
											id: 'circle-{{ product.id }}-'+countdownId
										});
									});
								// }
							</script>
						</div>
					{% endif %}